Bug 181850 - [maintainer update] for audio/hydrogen
[maintainer update] for audio/hydrogen
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Ruslan Makhmatkhanov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 21:40 UTC by FreeBSD
Modified: 2013-09-07 11:02 UTC (History)
0 users

See Also:


Attachments
file.diff (1.84 KB, patch)
2013-09-05 21:40 UTC, FreeBSD
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description FreeBSD 2013-09-05 21:40:00 UTC
Fix build after pkgconfig changes.
Includes update for new LIB_DEPENDS syntax change.

Fix: Patch attached with submission follows:
Comment 1 Ruslan Makhmatkhanov freebsd_committer 2013-09-06 06:15:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 2 dfilter freebsd_committer 2013-09-07 10:58:39 UTC
Author: rm
Date: Sat Sep  7 09:58:31 2013
New Revision: 326587
URL: http://svnweb.freebsd.org/changeset/ports/326587

Log:
  - add dependency on pkgconfig
  - use new syntax in LIB_DEPENDS
  - remove indefinite article from COMMENT and not needed LICENSE_FILE
    for standard license while here
  
  PR:		181850
  Submitted by:	Shane Ambler <FreeBSD@Shaneware.biz> (maintainer)

Modified:
  head/audio/hydrogen/Makefile

Modified: head/audio/hydrogen/Makefile
==============================================================================
--- head/audio/hydrogen/Makefile	Sat Sep  7 09:55:50 2013	(r326586)
+++ head/audio/hydrogen/Makefile	Sat Sep  7 09:58:31 2013	(r326587)
@@ -7,18 +7,18 @@ CATEGORIES=	audio
 MASTER_SITES=	SF/${PORTNAME}/Hydrogen/${MAJORVERSION}%20Sources
 
 MAINTAINER=	FreeBSD@ShaneWare.Biz
-COMMENT=	An advanced drum machine
+COMMENT=	Advanced drum machine
 
 LICENSE=	GPLv2
-LICENSE_FILE=	${WRKSRC}/COPYING
 
-LIB_DEPENDS+=	sndfile:${PORTSDIR}/audio/libsndfile \
-		tar:${PORTSDIR}/devel/libtar \
-		lrdf:${PORTSDIR}/textproc/liblrdf
+LIB_DEPENDS+=	libsndfile.so:${PORTSDIR}/audio/libsndfile \
+		libtar.so:${PORTSDIR}/devel/libtar \
+		liblrdf.so:${PORTSDIR}/textproc/liblrdf
 
 MAJORVERSION=	0.9.5
 USE_QT4=	corelib gui linguist_build moc_build network qt3support rcc_build sql uic_build xml
 USE_SCONS=	yes
+USES=		pkgconfig
 
 OPTIONS_DEFINE=	JACK ALSA PORTAUDIO LIBARCHIVE LASH
 OPTIONS_DEFAULT=	JACK
@@ -33,7 +33,7 @@ post-patch:
 SCONS_ENV+=	oss=1
 
 .if ${PORT_OPTIONS:MJACK}
-LIB_DEPENDS+=	jack:${PORTSDIR}/audio/jack
+LIB_DEPENDS+=	libjack.so:${PORTSDIR}/audio/jack
 CPPFLAGS+=	${PTHREAD_CFLAGS}
 LDFLAGS+=	${PTHREAD_LIBS}
 SCONS_ENV+=	jack=1
@@ -42,21 +42,21 @@ SCONS_ENV+=	jack=0
 .endif
 
 .if ${PORT_OPTIONS:MPORTAUDIO}
-LIB_DEPENDS+=	portaudio:${PORTSDIR}/audio/portaudio
+LIB_DEPENDS+=	libportaudio.so:${PORTSDIR}/audio/portaudio
 SCONS_ENV+=	portaudio=1
 .else
 SCONS_ENV+=	portaudio=0
 .endif
 
 .if ${PORT_OPTIONS:MLIBARCHIVE}
-LIB_DEPENDS+=	archive:${PORTSDIR}/archivers/libarchive
+LIB_DEPENDS+=	libarchive.so:${PORTSDIR}/archivers/libarchive
 SCONS_ENV+=	libarchive=1
 .else
 SCONS_ENV+=	libarchive=0
 .endif
 
 .if ${PORT_OPTIONS:MALSA}
-LIB_DEPENDS+=	asound:${PORTSDIR}/audio/alsa-lib
+LIB_DEPENDS+=	libasound.so:${PORTSDIR}/audio/alsa-lib
 RUN_DEPENDS+=	${LOCALBASE}/lib/alsa-lib/libasound_module_pcm_oss.so:${PORTSDIR}/audio/alsa-plugins
 SCONS_ENV+=	alsa=1
 .else
@@ -64,7 +64,7 @@ SCONS_ENV+=	alsa=0
 .endif
 
 .if ${PORT_OPTIONS:MLASH}
-LIB_DEPENDS+=	lash:${PORTSDIR}/audio/lash
+LIB_DEPENDS+=	liblash.so:${PORTSDIR}/audio/lash
 SCONS_ENV+=	lash=1
 .else
 SCONS_ENV+=	lash=0
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2013-09-07 11:02:54 UTC
State Changed
From-To: open->closed

Committed, thank you!